Package net.shibboleth.idp.attribute.resolver.dc.rdbms

# Class StringResultMappingStrategy

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.AbstractMappingStrategy<ResultSet>
net.shibboleth.idp.attribute.resolver.dc.rdbms.StringResultMappingStrategy

All Implemented Interfaces:
  `MappingStrategy<ResultSet>`, `ResultMappingStrategy`

public class StringResultMappingStrategy extends AbstractMappingStrategy<ResultSet> implements ResultMappingStrategy
A simple `ResultMappingStrategy` that assumes all columns in the result set should be mapped and that all values are strings.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`StringResultMappingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,IdPAttribute>`
`map(ResultSet results)`
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.dc.AbstractMappingStrategy

`getResultRenamingMap, isMultipleResultsAnError, isNoResultAnError, setMultipleResultsAnError, setNoResultAnError, setResultRenamingMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### StringResultMappingStrategy

public StringResultMappingStrategy()

## Method Details

### map

@Nullable @Unmodifiable @NotLive public Map<String,IdPAttribute> map(@Nonnull ResultSet results) throws ResolutionException
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

Specified by:
  `map` in interface `MappingStrategy<ResultSet>`
Parameters:
  `results` - to map
Returns:
  the mapped attributes or null if none exist
Throws:
  `ResolutionException` - thrown if there is a problem reading data or mapping it